%bcond_with test

Name:           python-pytest-cov
Version:        2.5.1
Release:        7
Summary:        Pytest plugin for measuring coverage
License:        MIT
URL:            https://pypi.org/project/pytest-cov/
Source0:        https://files.pythonhosted.org/packages/24/b4/7290d65b2f3633db51393bdf8ae66309b37620bc3ec116c5e357e3e37238/pytest-cov-2.5.1.tar.gz

BuildArch:      noarch

%description
This plugin produces coverage reports. Compared to just using coverage run this plugin does some extras:
* Subprocess support: you can fork or run stuff in a subprocess and will get covered without any fuss.
* Xdist support: you can use all of pytest-xdist’s features and still get coverage.
* Consistent pytest behavior. If you run coverage run -m pytest you will have slightly different
  sys.path(CWD will be in it, unlike when running pytest).

All features offered by the coverage package should work, either through pytest-cov’s command line options
or through coverage’s config file.

%package -n python2-pytest-cov
Summary:        Pytest plugin for measuring coverage
BuildRequires:  python2-devel python2-setuptools python2-pytest python2-coverage >= 3.7.1
%if %{with test}
BuildRequires:  python2-process-tests python2-six python2-virtualenv
%endif
Requires:       python2-pytest python2-coverage >= 3.7.1
%{?python_provide:%python_provide python2-pytest-cov}

%description -n python2-pytest-cov
This plugin produces coverage reports. Compared to just using coverage run this plugin does some extras:
* Subprocess support: you can fork or run stuff in a subprocess and will get covered without any fuss.
* Xdist support: you can use all of pytest-xdist’s features and still get coverage.
* Consistent pytest behavior. If you run coverage run -m pytest you will have slightly different
  sys.path(CWD will be in it, unlike when running pytest).

All features offered by the coverage package should work, either through pytest-cov’s command line options
or through coverage’s config file.

%package -n python3-pytest-cov
Summary:        Pytest plugin for measuring coverage
BuildRequires:  python3-devel python3-setuptools python3-pytest python3-coverage >= 3.7.1
%if %{with test}
BuildRequires:  python3-process-tests python3-six python3-virtualenv
%endif
Requires:       python3-pytest python3-coverage >= 3.7.1
%{?python_provide:%python_provide python3-pytest-cov}

%description -n python3-pytest-cov
This plugin produces coverage reports. Compared to just using coverage run this plugin does some extras:
* Subprocess support: you can fork or run stuff in a subprocess and will get covered without any fuss.
* Xdist support: you can use all of pytest-xdist’s features and still get coverage.
* Consistent pytest behavior. If you run coverage run -m pytest you will have slightly different
  sys.path(CWD will be in it, unlike when running pytest).

All features offered by the coverage package should work, either through pytest-cov’s command line options
or through coverage’s config file.

%prep
%autosetup -n pytest-cov-2.5.1 -p1

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%check
%if %{with test}
PYTHONPATH=%{buildroot}%{python2_sitelib}:$PWD/tests py.test-%{python2_version} -vv || :
PYTHONPATH=%{buildroot}%{python3_sitelib}:$PWD/tests py.test-%{python3_version} -vv || :
%endif

%files -n python2-pytest-cov
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst LICENSE
%{python2_sitelib}/*

%files -n python3-pytest-cov
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Wed Jan  8 2020 lingsheng <lingsheng@huawei.com> - 2.5.1-7
- Package init
